<template>
  <div class="container">
    <header class="jumbotron">
      <h3>Panel administratora</h3>
    </header>

    <h4>Wszyscy użytkownicy aplikacji: </h4>
    <div v-for="(item, index) in content" v-bind:key="item.id">
      <div>
        <h6>
          {{ content[index].beekeperName }}
          {{ content[index].beekeperSurname }}
          <button class="btn btn-danger" v-on:click="deleteAccount(content[index].user.id.id)">Usuń!</button>
        </h6>
      </div>
    </div>
  </div>
</template>

<script>
import UserService from '../../services/user.service';

export default {
  name: 'Admin',
  data() {
    return {
      content: '',
      iterator: 0
    };
  },
  mounted() {
    UserService.getAdminBoard().then(
        response => {
          this.content = response.data;
        },
        error => {
          this.content =
              (error.response && error.response.data && error.response.data.message) ||
              error.message ||
              error.toString();
        }
    );
  },
  methods: {
    deleteAccount(userId) {

      if (confirm('Jesteś pewny, że chcesz usunąć to konto?')) {
        UserService.deleteAccount(userId)
        setTimeout(() => {
          alert('Usunięto!')
          this.refreshList();
        }, 10000);


      }
    },

    refreshList() {
      UserService.getAdminBoard().then(
          response => {
            this.content = response.data;
          },
          error => {
            this.content =
                (error.response && error.response.data && error.response.data.message) ||
                error.message ||
                error.toString();
          }
      );
    }
  }
};
</script>
